%if "%{?scl}" == "ruby193"
    %global scl_prefix %{scl}-
    %global scl_ruby /usr/bin/ruby193-ruby
%else
    %global scl_ruby /usr/bin/ruby
%endif

# set and uncomment all three to set alpha tag
#global alphatag RC1
#global dotalphatag .%{alphatag}
#global dashalphatag -%{alphatag}
%define upstream_name foreman-installer-staypuft

Name:       rhel-osp-installer
Epoch:      1
Version:    0.5.7
Release:    3%{?dotalphatag}%{?dist}
Summary:    Foreman-installer plugin that allows you to install the RHEL OSP installer
Group:      Applications/System
License:    GPLv3+ and ASL 2.0
URL:        http://theforeman.org
Source0:    %{upstream_name}-%{version}%{?dashalphatag}.tar.gz
Patch1:     0001-RHELOSP-ONLY-fix-kernel-initrd-paths-for-discovery.patch
Patch2:     0002-OSP-ONLY-install-sos-parts-by-default.patch
Patch3:     0003-More-rebranding-related-to-client-installer.patch
Patch4:     0004-rhbz-1208109-enable-the-firewall-correctly.patch
Patch5:     0005-BZ-1198973-Add-MTU-config-to-all-interfaces-involved.patch

BuildArch:  noarch

Provides:   %{upstream_name} = 1:%{version}-%{release}
Obsoletes:  %{upstream_name} <= 1:0.0.25-2.el6ost
Requires:   %{?scl_prefix}foreman-installer >= 1.5.0
Requires:   %{?scl_prefix}rubygem-kafo >= 0.6.4
Requires:   %{?scl_prefix}rubygem-foreman_api >= 0.1.4
Requires:   openstack-puppet-modules >= 2013.2
Requires:   openstack-foreman-installer >= 1.0.6
Requires:   foreman-discovery-image
Requires:   foreman-selinux >= 1.5.0
Requires:   ntp
Requires:   puppet >= 3.6.2
Requires:   %{name}-client = %{epoch}:%{version}-%{release}
Requires:   iptables-services

%if 0%{?rhel} > 6
Requires:   %{?scl_prefix}ruby(release)
%else
Requires:   %{?scl_prefix}ruby(abi)
%endif

%description
This is a foreman-installer plugin that allows you to install and configure
RHEL-OSP Installer.

%package client
Summary:    A client installer which registers a pre-provisioned host in to Foreman
BuildArch:  noarch
Requires:   foreman-installer >= 1.5.0
Requires:   rubygem-kafo >= 0.6.0
%if 0%{?fedora} > 18 || 0%{?rhel} > 6
Requires:   %{?scl_prefix}ruby(release)
%else
Requires:   %{?scl_prefix}ruby(abi)
%endif

%description client
This package installs subset of rhel-osp-installer files so it can
be used only for registering a new client to an installer instance.

%prep
%setup -q -n %{upstream_name}-%{version}%{?dashalphatag}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
#replace shebangs for SCL
%if %{?scl:1}%{!?scl:0}
  sed -ri '1sX(/usr/bin/ruby|/usr/bin/env ruby)X%{scl_ruby}X' bin/staypuft-installer
%endif
sed -ri 's/staypuft-installer.answers.yaml/rhel-osp-installer.answers.yaml/' config/staypuft-installer.yaml
sed -ri 's/staypuft-client-installer.answers.yaml/rhel-osp-installer-client.answers.yaml/' config/staypuft-client-installer.yaml
sed -ri 's/1.centos.pool.ntp.org/0.rhel.pool.ntp.org/' hooks/lib/provisioning_wizard.rb
sed -ir '/:log_name:/ s/foreman-installer.log/rhel-osp-installer.log/' config/staypuft-installer.yaml
sed -ir '/:log_dir:/ s|/var/log/foreman-installer|/var/log/rhel-osp-installer|' config/staypuft-installer.yaml


%install
install -d -m0755 %{buildroot}%{_datadir}/foreman-installer
cp -R hooks modules %{buildroot}%{_datadir}/foreman-installer
install -d -m0755 %{buildroot}%{_sbindir}
cp bin/staypuft-installer %{buildroot}%{_sbindir}/rhel-osp-installer
cp bin/staypuft-client-installer %{buildroot}%{_sbindir}/rhel-osp-installer-client
install -d -m0755 %{buildroot}%{_bindir}
install -d -m0755 %{buildroot}%{_sysconfdir}/foreman/
cp config/staypuft-client-installer.yaml %{buildroot}%{_sysconfdir}/foreman/rhel-osp-installer-client.yaml
cp config/staypuft-installer.yaml %{buildroot}%{_sysconfdir}/foreman/rhel-osp-installer.yaml
cp config/staypuft-installer.answers.yaml %{buildroot}%{_sysconfdir}/foreman/rhel-osp-installer.answers.yaml


%files
%defattr(-,root,root,-)
%doc LICENSE
%{_datadir}/foreman-installer/hooks/boot/10-add_options.rb
%{_datadir}/foreman-installer/hooks/lib/base_seeder.rb
%{_datadir}/foreman-installer/hooks/lib/foreman.rb
%attr(755, root, root) %{_datadir}/foreman-installer/hooks/lib/install_modules.sh
%{_datadir}/foreman-installer/hooks/lib/authentication_wizard.rb
%{_datadir}/foreman-installer/hooks/lib/base_wizard.rb
%{_datadir}/foreman-installer/hooks/lib/provisioning_seeder.rb
%{_datadir}/foreman-installer/hooks/lib/provisioning_wizard.rb
%{_datadir}/foreman-installer/hooks/lib/subscription_seeder.rb
%{_datadir}/foreman-installer/hooks/post/10-setup_provisioning.rb
%{_datadir}/foreman-installer/hooks/pre_validations/10-gather_and_set_staypuft_values.rb
%{_datadir}/foreman-installer/hooks/pre_values/10-register_staypuft_modules.rb
%{_datadir}/foreman-installer/modules/firewall
%{_datadir}/foreman-installer/modules/network
%{_datadir}/foreman-installer/modules/ssh_keygen
%{_datadir}/foreman-installer/modules/sshkeypair
%{_datadir}/foreman-installer/modules/foreman/manifests/plugin/staypuft.pp
%{_datadir}/foreman-installer/modules/foreman/manifests/plugin/staypuft_network.pp
%{_datadir}/foreman-installer/modules/foreman/manifests/puppet/agent/service.pp

%config %attr(600, root, root) %{_sysconfdir}/foreman/rhel-osp-installer.yaml
%config(noreplace) %attr(600, root, root) %{_sysconfdir}/foreman/rhel-osp-installer.answers.yaml
%{_sbindir}/rhel-osp-installer

%files client
%doc LICENSE
%{_datadir}/foreman-installer/hooks/boot/10-add_client_options.rb
%{_datadir}/foreman-installer/hooks/post/10-register_in_staypuft.rb
%{_datadir}/foreman-installer/modules/foreman/manifests/plugin/staypuft_client.pp
%config %attr(600, root, root) %{_sysconfdir}/foreman/rhel-osp-installer-client.yaml
%{_sbindir}/rhel-osp-installer-client

%changelog
* Tue Apr 28 2015 Mike Burns <mburns@redhat.com> 0.5.7-3
- Add MTU to all components of the tenant network rhbz#1198973

* Thu Apr 16 2015 Mike Burns <mburns@redhat.com> 0.5.7-2
- rhbz#1208109 make sure firewall does reject (mburns@redhat.com)

* Thu Mar 12 2015 Mike Burns <mburns@redhat.com> 0.5.7-1
- rebase on upstream 0.5.7
- rhbz#1196310 and rhbz#1199827 (alessandro@ams0.org)
- rhbz#1131584 Ensure fd0 is not in /proc/partitions (alessandro@ams0.org)
- rhbz#1199827 Disable all repos before enabling (alessandro@ams0.org)
- rhbz#1196310 - include rhel-ha repo by default (alessandro@ams0.org)

* Thu Feb 12 2015 Mike Burns <mburns@redhat.com> 0.5.5-5
- rhbz#1191732 add ability to specify multiple ntp-servers

* Fri Feb 06 2015 Mike Burns <mburns@redhat.com> 0.5.5-4
- revert pre-install of mariadb
- remove commented snippet explicity rhbz#1188492
- fix errors on registration puppet run rhbz#1180322

* Fri Jan 23 2015 Mike Burns <mburns@redhat.com> 0.5.5-3
- rhbz#1180322 - pre-install mariadb in kickstart on controllers

* Fri Jan 16 2015 Mike Burns <mburns@redhat.com> 0.5.5-2
- rhbz#1182881 - fix handling of space in repo list

* Thu Jan 08 2015 Mike Burns <mburns@redhat.com> 0.5.5-1
- BZ #1173634 - deployment runs without completing/failing (jistr@redhat.com)

* Tue Dec 16 2014 Mike Burns <mburns@redhat.com> 0.5.4-1
- fix kicstart for MTU rhbz#1174837

* Fri Dec 12 2014 Mike Burns <mburns@redhat.com> 0.5.3-1
- BZ #1173634: deployment runs without completing/failing (jistr@redhat.com)
- BZ #1148947: Make kickstart template consistent with disk layout
  (brad@redhat.com)
- BZ #1152543: 2 of 2 - use only autodetection for 'Foreman URL'
  (jistr@redhat.com)
- BZ #1152543: 1 of 2 - fix error message printing (jistr@redhat.com)
- BZ #1172851: include rh common channel by default (mburns@redhat.com)

* Wed Dec 10 2014 Mike Burns <mburns@redhat.com> 0.5.2-2
- require iptables-services

* Tue Dec 09 2014 Mike Burns <mburns@redhat.com> 0.5.2-1
- Add rhel 7 and fix section label (brad@redhat.com)
- the installer repo is required for client installation (mburns@redhat.com)
- BZ #1169980: Disable firewalld before setting up iptables (brad@redhat.com)

* Wed Nov 26 2014 Mike Burns <mburns@redhat.com> 0.5.1-1
- BZ #1151274: Add support for setting MTU on tenant network (brad@redhat.com)
- BZ#1167880 puppet error "Could not find class quickstack::openstack_common"
  (jistr@redhat.com)
- Remove manual host registration (jistr@redhat.com)
- should say to install client on the remote host (mburns@redhat.com)

* Mon Nov 24 2014 Jiri Stransky <jistr@redhat.com> 0.5.0-5
- More rebranding related to client installer

* Wed Nov 19 2014 Mike Burns <mburns@redhat.com> 0.5.0-4
- rebranding:  fix post install client instructions

* Wed Nov 19 2014 Mike Burns <mburns@redhat.com> 0.5.0-2
- installer should require client

* Tue Nov 18 2014 Mike Burns <mburns@redhat.com> 0.5.0-1
- move to OSP 6 (mburns@redhat.com)
- BZ #1162794: Properly configure bond interfaces with vlans (brad@redhat.com)
- Remove EPEL repo from RHEL (jistr@redhat.com)
- BZ #1158680: Let primary interface participate in bonds (brad@redhat.com)
- BZ #1129521: Unconfigured interfaces should be ONBOOT=no (brad@redhat.com)
- Correct the config when a bond and vlan are used together (brad@redhat.com)
- BZ #1157819: Set DEFROUTE=no on all interfaces by default (brad@redhat.com)
- Workaround for http://projects.theforeman.org/issues/7975 (jistr@redhat.com)
- Wait for certificate to allow manual signing (jistr@redhat.com)
- Fail the installer if the registration puppet run fails (jistr@redhat.com)
- Wait for client registration to finish (jistr@redhat.com)
- Remove puppetmaster param from staypuft_client.pp (jistr@redhat.com)
- Set staypuft_ssh_public_key as a host parameter (jistr@redhat.com)
- Rename param to staypuft_ssh_public_key for consistency (jistr@redhat.com)
- Make the RPM installable on RHEL 7 (jistr@redhat.com)
- Pass settings as string when using Foreman > 1.6 (jistr@redhat.com)
- Fix a syntax error (jistr@redhat.com)
- Remove get_ready implementation from ProvisioningWizard (brad@redhat.com)
- no-daemonize puppetssh commmand (mtaylor@redhat.com)
- Add staypuft-client-installer (mhulan@redhat.com)

* Thu Oct 30 2014 Mike Burns <mburns@redhat.com> 0.4.7-2
- BZ #1129521: Unconfigured interfaces should be ONBOOT=no (brad@redhat.com)

* Wed Oct 29 2014 Mike Burns <mburns@redhat.com> 0.4.6-1
- fix bonding with vlans

* Tue Oct 28 2014 Mike Burns <mburns@redhat.com> 0.4.5-3
- rhbz#1157819 force defroute=no for all interfaces except gateway

* Thu Oct 23 2014 Mike Burns <mburns@redhat.com> 0.4.5-2
- revert fix for rhbz#1152516

* Fri Oct 17 2014 Mike Burns <mburns@redhat.com> 0.4.5-1
- bz#1152516 don't autostart networking in discovery image (mburns@redhat.com)

* Wed Oct 15 2014 Mike Burns <mburns@redhat.com> 0.4.4-1
- BZ #1148746: Assign DEFROUTE to vlan or bond (brad@redhat.com)

* Thu Oct 09 2014 Mike Burns <mburns@rehdhat.com> 0.4.3-1
- Add staypuft-register-host command (jistr@redhat.com)
- Add custom repositories snippet (mhulan@redhat.com)
- BZ#1147577: Add biosboot partition in case GPT disk label (brad@redhat.com)

* Wed Oct 08 2014 Mike Burns <mburns@redhat.com> 0.4.2-1
- rhbz#1148435 use single quotes for passwords (mburns@redhat.com)
- Remove 'service network restart' from network config snippet
  (brad@redhat.com)
- Configure gateway if bootmode is static (mhulan@redhat.com)
- Install provisioning template that configures bonds (mhulan@redhat.com)

* Thu Oct 02 2014 Mike Burns <mburns@redhat.com> 0.4.1-2
- BZ#1142182 - provisioned hosts have wrong timezone (jistr@redhat.com)
- Fix possible renaming issue (mhulan@redhat.com)
- Refs BZ#1142295 - Configure DEFROUTE according to subnet assignment
  (mhulan@redhat.com)
- don't restart network in kickstart
- use single quote for passwords in kickstart


* Thu Oct 02 2014 Mike Burns <mburns@redhat.com> 0.3.6-2
- install sos packages by default rhbz#1131647

* Tue Sep 23 2014 Mike Burns <mburns@redhat.com> 0.3.6-1
- rebase on upstream 0.3.6
- maintain discovery path patch
- fix default gateway
- fix time zone

* Fri Sep 19 2014 Mike Burns <mburns@redhat.com> 0.3.5-3
- Fix syntax in previous patch

* Fri Sep 19 2014 Mike Burns <mburns@redhat.com> 0.3.5-2
- fix NM change to fqdn rhbz#1142211
- Configure defroute correctly rhbz#1142295

* Mon Sep 15 2014 Mike Burns <mburns@redhat.com> 0.3.5-1
- rebase on upstream 0.3.5
- maintain discovery paths patch

* Wed Sep 10 2014 Mike Burns <mburns@redhat.com> 0.3.4-3
- RHBZ#1140057 don't use auto-attach with pool

* Mon Sep 08 2014 Mike Burns <mburns@redhat.com> 0.3.4-2
- Downstream only patch for discovery paths

* Thu Sep 04 2014 Marek Hulan <mhulan@redhat.com> 0.3.4-1
- Primary network is has always DHCP boot mode (mhulan@redhat.com)
- BZ#1134610 - multiple repos in subscription_manager_repos (jistr@redhat.com)
- Install modules from git on CentOS (mhulan@redhat.com)
- Modify kickstart templates to configure networking (mhulan@redhat.com)
- BZ#1127196 - ask for password confirmation (jistr@redhat.com)
- Update readme (mhulan@redhat.com)

* Fri Aug 22 2014 Mike Burns <mburns@redhat.com> 0.3.2-3
- fix syntax in previous patch (mburns@redhat.com)

* Fri Aug 22 2014 Marek Hulan <mhulan@redhat.com> 0.3.2-1
- Create config templates even if they are missing (mhulan@redhat.com)
- Adds support for CentOS 7 (mhulan@redhat.com)

* Thu Aug 21 2014 Marek Hulan <mhulan@redhat.com> 0.3.1-1
- Default ssh key value is empty string, nil causes problems
  (mhulan@redhat.com)

* Wed Aug 20 2014 Marek Hulan <mhulan@redhat.com> 0.3.0-1
- Print correct admin password on Foreman 1.6+ (mhulan@redhat.com)
- Fix settings values to be strings (mhulan@redhat.com)

* Wed Aug 13 2014 Mike Burns <mburns@redhat.com> 0.1.10-2
- disable biosdevname by default rhbz#1126982

* Wed Aug 13 2014 Mike Burns <mburns@redhat.com> 0.1.10-1
- Fix BZ#1127202 - toggle password visibility (mhulan@redhat.com)
- adding a new default ptable so we do not use autopart (dradez@redhat.com)
- Ref BZ#1127752 - disable IP updating (mhulan@redhat.com)
- Fix BZ#1128679 - do not create empty parameters (mhulan@redhat.com)

* Mon Aug 11 2014 Mike Burns <mburns@redhat.com> 0.1.9-2
- do no create empty params rhbz#1128679
- disable ip updating rhbz#1127752

* Fri Aug 08 2014 Mike Burns <mburns@redhat.com> 0.1.9-1
- Fix rhbz#1126219 - add proxy options to sub-man (mburns@redhat.com)
- Fix rhbz#1127806 - set ntp-server parameter (mhulan@redhat.com)

* Thu Aug 07 2014 Mike Burns <mburns@redhat.com> 0.1.8-1
- Fix BZ#1124850 - accept UDP port 68 (mhulan@redhat.com)
- Fix BZ#1102394 - do not enable RHEL6 (mhulan@redhat.com)
- Fix BZ#1124806 - remove Foreman from provisioning question
  (mhulan@redhat.com)
- Fix BZ#1124810 - sort interfaces by name (mhulan@redhat.com)
- BZ#1124545 - Write the values for skipping repo and subman (brad@redhat.com)
- BZ#1125075 - Ensure firewalld is removed during kickstart
  (jeckersb@redhat.com)
- use correct default gateway on controller (lars@redhat.com)
- BZ#1124598 - provisioning+external network default gateway conflict
  (jeckersb@redhat.com)
- add dhcp port to the default firewall (mburns@redhat.com)
- ensure we only get one interface name for PROVISION_IFACE (lars@redhat.com)
- set PEERDNS=no on all but provision iface (lars@redhat.com)
- disable NetworkManager and enable network by default (mburns@redhat.com)

* Thu Aug 07 2014 Mike Burns <mburns@redhat.com> 0.1.6-7
- update installer log file name and location

* Wed Aug 06 2014 Mike Burns <mburns@redhat.com> 0.1.6-6
- fix controller default gateway rhbz#1124598
- ensure firewalld is removed in kickstart rhbz#1125075

* Wed Jul 30 2014 Mike Burns <mburns@redhat.com> 0.1.6-5
- open dhcp port by default in firewall rhbz#1124850
- make provisioning network the default route rhbz#1124598

* Tue Jul 29 2014 Mike Burns <mburns@redhat.com> 0.1.6-4
- Add peerdns=0 to non-provisioning nics rhbz#1124027

* Fri Jul 25 2014 Mike Burns <mburns@redhat.com> 0.1.6-3
- Disable NetworkManager and enable network

* Thu Jul 24 2014 Mike Burns <mburns@redhat.com> 0.1.6-2
- lower disk space requirements for controllers rhbz#1122753

* Thu Jul 24 2014 Mike Burns <mburns@redhat.com> 0.1.6-1
- removing the dependancy on #Dynamic from the ptable. (dradez@redhat.com)
- Fixes BZ#1121411 - use correct NIC names (mhulan@redhat.com)
- Support random generated password (mhulan@redhat.com

* Tue Jul 22 2014 Mike Burns <mburns@redhat.com> 0.1.4-1
- Rebase on upstream 0.1.4
- set ONBOOT=yes for all nics in the default kickstart template
  (dradez@redhat.com)
- dynamically update the partition table that created the cinder volumes vg
  (dradez@redhat.com)
- Add non-interactive mode to provisioning wizard (mhulan@redhat.com)

* Mon Jul 21 2014 Lon Hohberger <lhh@redhat.com> 0.1.1-2
- Fix BZ#1120877 - deployment of Nova with LVM driver gets stuck

* Fri Jul 11 2014 Marek Hulan <mhulan@redhat.com> 0.1.1-1
- adding lvm with cinder volumes ptable (dradez@redhat.com)
- adding ntp package dependancies (dradez@redhat.com)

* Thu Jul 03 2014 Marek Hulan <mhulan@redhat.com> 0.1.0-1
- Remove EPEL repo from RHEL KS template (mhulan@redhat.com)
- We need latest kafo to fix password default values (mhulan@redhat.com)
- Fix BZ#1109432 - random root password (mhulan@redhat.com)
- Fix BZ#1114693 - don't crash on missing installation medium
  (mhulan@redhat.com)
- use subscription-manager instead of yum-config-manager (dradez@redhat.com)
- Fixing typos (yanis.guenane@enovance.com)
- add explicit ntp requirement to spec file (mburns@redhat.com)
- some more re-wording changes (mburns@redhat.com)
- bz#1113748 reword the help text for password/ssh key (mburns@redhat.com)
- adding service resources for ntpd (dradez@redhat.com)
- Fix BZ#1113537 - allow empty ssh keys (mhulan@redhat.com)
- moving the repo enable for redhat_register (dradez@redhat.com)

* Wed Jun 25 2014 Marek Hulan <mhulan@redhat.com> 0.0.25-1
- Crypts root password using sha256 (mhulan@redhat.com)

* Wed Jun 25 2014 Marek Hulan <mhulan@redhat.com> 0.0.24-1
- Fix BZ#1103151 (mhulan@redhat.com)

* Tue Jun 24 2014 Marek Hulan <mhulan@redhat.com> 0.0.23-1
- Fix missing resolv (mhulan@redhat.com)

* Tue Jun 24 2014 Marek Hulan <mhulan@redhat.com> 0.0.22-1
- Fix BZ#1110438 (mhulan@redhat.com)
- Fix BZ#1112179 (mhulan@redhat.com)
- Fix BZ#1105312 (mhulan@redhat.com)
- Fix rhel kickstart template (mhulan@redhat.com)

* Mon Jun 23 2014 Marek Hulan <mhulan@redhat.com> 0.0.21-1
- Add root password and ssh key wizard (mhulan@redhat.com)
- Fix output during interupt or cancel (mhulan@redhat.com)
- adding ntp sync to installation tasks (dradez@redhat.com)

* Thu Jun 19 2014 Marek Hulan <mhulan@redhat.com> 0.0.20-1
- Disable SCL for installer packages (mhulan@redhat.com)
- Fix BZ#1102952 (mhulan@redhat.com)
- adding firewall rules for udp dns and ssh (dradez@redhat.com)

* Tue Jun 17 2014 Marek Hulan <mhulan@redhat.com> 0.0.19-1
- Fix BZ#1108906 (mhulan@redhat.com)
- Fix network interface wizard (mhulan@redhat.com)

* Mon Jun 16 2014 Marek Hulan <mhulan@redhat.com> 0.0.18-1
- Fix puppetmaster firewall port (mhulan@redhat.com)
- NFS is not supported (mhulan@redhat.com)
- Fix BZ#1103151 (mhulan@redhat.com)
- Fix BZ#1102706 (mhulan@redhat.com)
- Fix BZ#1105328 (mhulan@redhat.com)
- Fix BZ#1102394 (mhulan@redhat.com)

* Fri Jun 13 2014 Marek Hulan <mhulan@redhat.com> 0.0.17-1
- Fix netmask for nil values (mhulan@redhat.com)

* Thu Jun 12 2014 Marek Hulan <mhulan@redhat.com> 0.0.16-1
- Don't start configuration if installation fails (mhulan@redhat.com)
- Accept CIDR for netmask and convert it (mhulan@redhat.com)
- Ensure required ports are open (mhulan@redhat.com)

* Thu Jun 05 2014 Marek Hulan <mhulan@redhat.com> 0.0.15-1
- Fix RHEL7 default repo (mhulan@redhat.com)

* Wed Jun 04 2014 Marek Hulan <mhulan@redhat.com> 0.0.14-1
- On RHEL setup both 6 and 7 (mhulan@redhat.com)
- Support RHEL7 as a default OS for provisioning (mhulan@redhat.com)
- Update README.md (mhulan@redhat.com)
- Split logic among more hooks (mhulan@redhat.com)

* Fri May 16 2014 Mike Burns <mburns@redhat.com> 0.0.13-2
- require foreman-selinux

* Fri May 16 2014 Marek Hulan <mhulan@redhat.com> 0.0.13-1
- Fix docs (mhulan@redhat.com)
- Enable user authentication (mhulan@redhat.com)
- Add foreman_api dependency (mhulan@redhat.com)
- Change default koji tags (mhulan@redhat.com)

* Wed May 07 2014 Marek Hulan <mhulan@redhat.com> 0.0.12-1
- Configure host nameservers during installation (mhulan@redhat.com)

* Wed May 07 2014 Marek Hulan <mhulan@redhat.com> 0.0.11-1
- Minor fixes (mhulan@redhat.com)

* Tue May 06 2014 Marek Hulan <mhulan@redhat.com> 0.0.10-1
- Fix staypuft installation (mhulan@redhat.com)

* Tue May 06 2014 Marek Hulan <mhulan@redhat.com> 0.0.9-1
- Install staypuft package (mhulan@redhat.com)
- run db:seed at the end to resolve puppet import issues (mburns@redhat.com)

* Mon May 05 2014 Mike Burns <mburns@redhat.com> 0.0.8-2
- fix db:seed at end of run

* Mon May 05 2014 Marek Hulan <mhulan@redhat.com> 0.0.8-1
- Provisioning changes (mhulan@redhat.com)
- Add foreman tasks mapping (mhulan@redhat.com)
- Change proceed string (mhulan@redhat.com)
- Add own installer script with own config files (mhulan@redhat.com)
- Do not enforce downloading discovery images (mhulan@redhat.com)


* Mon May 05 2014 Marek Hulan <mhulan@redhat.com> 0.0.7-1
- Update redhat_register snippet template (mhulan@redhat.com)

* Fri May 02 2014 Marek Hulan <mhulan@redhat.com> 0.0.6-1
- Better user experience (mhulan@redhat.com)

* Fri May 02 2014 Marek Hulan <mhulan@redhat.com> 0.0.5-1
- Puppet modules installation (mhulan@redhat.com)

* Fri May 02 2014 Mike Burns <mburns@redhat.com> 0.0.4-1
- add requires on openstack-foreman-installer
- add requires on openstack-puppet-modules

* Fri May 02 2014 Marek Hulan <mhulan@redhat.com> 0.0.4-1
- Adds RHEL support (mhulan@redhat.com)

* Wed Apr 30 2014 Marek Hulan <mhulan@redhat.com> 0.0.3-1
- Fix pxe_template discovery env issue (mhulan@redhat.com)

* Wed Apr 30 2014 Marek Hulan <mhulan@redhat.com> 0.0.2-1
- Fix seeding and download discovery images (mhulan@redhat.com)

* Wed Apr 30 2014 Marek Hulan <mhulan@redhat.com> 0.0.1-0
- new package built with tito


